Skip to main content
POST
/
channels
/
{myshopifyDomain}
/
form-definitions
Create Channel Form Definition
curl --request POST \
  --url https://unified-api.creatorcommerce.shop/channels/{myshopifyDomain}/form-definitions \
  --header 'Content-Type: application/json' \
  --header 'x-channel-access-token: <api-key>' \
  --data '
{
  "type": "custom",
  "title": "Creator Intake Form",
  "description": "Collect creator profile and storefront metadata",
  "isActive": true,
  "fields": [
    {
      "fieldType": "field",
      "name": "headline",
      "label": "Headline",
      "dataType": "string",
      "inputType": "text"
    },
    {
      "fieldType": "field",
      "name": "about",
      "label": "About",
      "dataType": "string",
      "inputType": "textarea"
    }
  ]
}
'
{
  "formDefinition": {
    "_id": "67f8d0eb224ca611de0b5001",
    "type": "custom",
    "title": "Creator Intake Form",
    "description": "Collect creator profile and storefront metadata",
    "isActive": true,
    "fields": [
      {
        "fieldType": "field",
        "name": "headline",
        "label": "Headline",
        "dataType": "string"
      }
    ]
  }
}

Authorizations

x-channel-access-token
string
header
required

Channel or partner access token (x-channel-access-token or x-partner-access-token)

Path Parameters

myshopifyDomain
string
required

Body

application/json
_id
string
channel
string
collabTiers
string[]
productTags
string[]
type
string
title
string
description
string
onSubmit
string
action
string
isActive
boolean
fields
object[]
createdAt
string<date-time>
updatedAt
string<date-time>

Response

Form definition created

formDefinition
object
required